Bug Tracker – Bug 1149

Build 5414 x86-64 no music or sound when midi output is sdl_mixer

Last modified: 2019-01-06 00:57:52 CST
Bug 1149 - Build 5414 x86-64 no music or sound when midi output is sdl_mixer
Summary: Build 5414 x86-64 no music or sound when midi output is sdl_mixer
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Client (show other bugs)
Version: 0.7.x (Old)
Hardware: x86 (Windows, Linux, etc) Windows 8
: P1 normal
Assignee: Odamex Bug Reporter
URL:
Depends on:
Blocks:
 
Reported: 2015-07-09 21:31 CDT by Absolute Zero
Modified: 2019-01-06 00:57 CST (History)
1 user (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Absolute Zero 2015-07-09 21:31:37 CDT
Game stops playing sounds and music when midi output is sdl_mixer, both are activated again only when midi output is portmidi.

portmidi -> sdl_mixer = no music or sounds
portmidi -> no music = no music, but sounds are played
sdl_mixer -> no music = no music or sounds
sdl_mixer -> portmidi = music and sounds works
no music -> portmidi = music and sounds works
no music -> sdl_mixer = no music or sounds

Windows 8.1, 64 bits.
Comment 1 HeX_Vulture 2016-09-07 13:36:12 CDT
Does this still occur as of latest SVN?
Comment 2 Absolute Zero 2016-09-14 07:51:40 CDT
(In reply to HeX_Vulture from comment #1)
> Does this still occur as of latest SVN?

I just compiled a binary under Debian Jessie 8.5 AMD64, revision number 5471, and it seems fixed. Can't tell if it is fixed on Windows 8.1 because I don't use it anymore.
Comment 3 HeX_Vulture 2016-09-16 00:09:41 CDT
Thanks, but I think we need to get verification from Windows 8.1 64-bit users just to be safe. I am using Windows 10 and do not have this issue.

Zero you might want to get the development libraries fro SDL2 and SDL2_Mixer and compile the SDL2 branch. We are currently testing it.
Comment 4 HeX_Vulture 2019-01-06 00:57:52 CST
Marking this fixed since there has been no indication of an issue in 3.5 years.